### Method

# ECal Component set_rrules

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_rrules (
      ECalComponent* comp,
      const GSList* recur_list
    )

#### Description [src]

Sets the list of recurrence rules in a calendar component object.

Available since: 3.34

#### Parameters

`recur_list`

  Type: A list of `ICalRecurrence*`

  List of `ICalRecurrence` structures, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.